#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

SYMBOL_CRC(vchiq_get_service_userdata, 0x99e20ff3, "");
SYMBOL_CRC(vchiq_msg_queue_push, 0xca648be2, "");
SYMBOL_CRC(vchiq_msg_hold, 0x98959d62, "");
SYMBOL_CRC(vchiq_close_service, 0x97b9869c, "");
SYMBOL_CRC(vchiq_queue_kernel_message, 0x38e81f5b, "");
SYMBOL_CRC(vchiq_release_message, 0x2e1298dc, "");
SYMBOL_CRC(vchiq_get_peer_version, 0x3dee8bbd, "");
SYMBOL_CRC(vchiq_initialise, 0x5667d0d9, "");
SYMBOL_CRC(vchiq_shutdown, 0xefaa2d72, "");
SYMBOL_CRC(vchiq_connect, 0xdd1cf183, "");
SYMBOL_CRC(vchiq_open_service, 0xb9c67298, "");
SYMBOL_CRC(vchiq_bulk_transmit, 0x0980fb95, "");
SYMBOL_CRC(vchiq_bulk_receive, 0xd443ee20, "");
SYMBOL_CRC(vchiq_use_service, 0x98d2a0c2, "");
SYMBOL_CRC(vchiq_release_service, 0x34cfdfb2, "");
SYMBOL_CRC(vchiq_add_connected_callback, 0xbca0c1c0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfdb76f76, "pin_user_pages_fast" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4817dbdf, "devm_platform_ioremap_resource" },
	{ 0x3540af5a, "flush_dcache_page" },
	{ 0xe0fd6d0, "misc_deregister" },
	{ 0x6f351bb6, "devm_request_threaded_irq" },
	{ 0x2395cf51, "devm_kmalloc" },
	{ 0x42ae520, "of_node_put" },
	{ 0x5b96b89d, "devm_rpi_firmware_get" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x35f3f5ec, "platform_driver_unregister" },
	{ 0x561692eb, "vmalloc_to_page" },
	{ 0xced2cf72, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x590d271c, "dmam_alloc_attrs" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x96848186, "scnprintf" },
	{ 0x602f3857, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x95cc666c, "unpin_user_pages" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x3c022d06, "seq_lseek" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbba98665, "wake_up_process" },
	{ 0x23da142c, "of_find_compatible_node" },
	{ 0x6e072c97, "cpu_hwcaps" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x2dbab245, "flush_signals" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x521ebd0d, "_dev_err" },
	{ 0x50c2ae54, "rpi_firmware_property" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc23251bc, "platform_device_unregister" },
	{ 0x6626afca, "down" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2a7210f6, "dma_alloc_attrs" },
	{ 0x3791d5d9, "debugfs_remove" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x38661bbd, "of_match_node" },
	{ 0xb38c245e, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xdcb764ad, "memset" },
	{ 0x20b22d33, "_dev_warn" },
	{ 0x40df98b4, "misc_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x5db88e76, "__platform_driver_register" },
	{ 0x8da719d, "dma_set_coherent_mask" },
	{ 0x83d6aed2, "kthread_create_on_node" },
	{ 0x253741d4, "set_page_dirty" },
	{ 0x626b6fe6, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xc4725776, "debugfs_create_file" },
	{ 0x8d4453da, "platform_device_register_full" },
	{ 0xbaf22757, "kvfree_call_rcu" },
	{ 0x247376e3, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x87b8798d, "sg_next" },
	{ 0x56470118, "__warn_printk" },
	{ 0x729b27cb, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x136dc225, "single_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x2efa7b63, "dma_set_mask" },
	{ 0x3a6f67b8, "dma_unmap_sg_attrs" },
	{ 0xc145301f, "kmalloc_trace" },
	{ 0xf1929443, "single_open" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xee7a2e9e, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbd46aaf4, "kmalloc_caches" },
	{ 0xcbc37686, "dma_map_sg_attrs" },
	{ 0x995ea305, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cbrcm,bcm2835-vchiq");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2835-vchiqC*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2836-vchiq");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2836-vchiqC*");

MODULE_INFO(srcversion, "F7334D5E96F54475C824AC0");
